@import './../../../assets/styles/variables';

$transition-name: 'dropdown';

@mixin transition($name) {
  .#{$name}-enter {
    opacity: 0.01 !important;
    top: 40px !important;
  }

  .#{$name}-enter.#{$name}-enter-active {
    opacity: 1 !important;
    top: 53px !important;
    transition: all 250ms ease-in !important;
  }

  .#{$name}-leave {
    opacity: 1 !important;
    top: 53px !important;
  }

  .#{$name}-leave.#{$name}-leave-active {
    opacity: 0.01 !important;
    top: 40px !important;
    transition: all 250ms ease-in !important;
  }
}


.top-panel {
  position: relative;
  display: flex;
  height: 62px;
  width: 100%;
  background-color: #475263;
  padding: 0px 20px;
  align-items: center;
  justify-content: space-between;

  &--user-menu {
    color: #596372;
    font-size: $default-font-size;
    font-weight: 600;
    line-height: 18px;

    //height: 86px;
    width: 200px;
    border: 1px solid #ABABAB;
    border-radius: 4px;
    background-color: #FFFFFF;
    box-shadow: 0 4px 4px 2px rgba(0, 0, 0, 0.22);
    position: absolute;
    right: 30px;
    top: 53px;
    z-index: 3;
    &--item {
      height: 45px;
      display: flex;
      align-items: center;
      //padding-left: 16px;
      border-bottom: 1px solid #DADFEA;
      cursor: pointer;
      &:hover {
        background-color: #F0EFE8;
      }
    }
    &--icon {
      margin-right: 10px;
    }
  }
}

@include transition($transition-name)

